URLWATCH(1)

NAME
urlwatch - a tool for monitoring webpages for updates

USAGE
urlwatch [-h] [--version] [-v]

    [--urls FILE] [--config FILE] [--hooks FILE] [--cache FILE]

    [--list] [--add JOB] [--delete JOB]

    [--edit] [--edit-config] [--edit-hooks]

    [--features] [--gc-cache]

DESCRIPTION

urlwatch is intended to help you watch changes in webpages and get notified (via email, in your terminal or with a custom-written reporter class) of any changes. The change notification will include the URL that has changed and a unified diff of what has changed.

  optional arguments:

-h, --help
    show this help message and exit

--version
    show program's version number and exit

-v, --verbose
    show debug output

  files and directories:

--urls FILE
    read job list (URLs) from FILE

--config FILE
    read configuration from FILE

--hooks FILE
    use FILE as hooks.py module

--cache FILE
    use FILE as cache database

  job list management:

--list
    list jobs

--add JOB
    add job (key1=value1,key2=value2,...)

--delete JOB
    delete job by location or index

  interactive commands ($EDITOR/$VISUAL):

--edit
    edit URL/job list

--edit-config
    edit configuration file

--edit-hooks
    edit hooks script

  miscellaneous:

--features
    list supported jobs/filters/reporters

--gc-cache
    remove old cache entries

FILES

$XDG_CONFIG_HOME/urlwatch/urls.yaml
    A list of URLs, commands and other jobs to watch

$XDG_CONFIG_HOME/urlwatch/hooks.py
    A Python module that can implement new job types, filters and reporters

$XDG_CACHE_HOME/urlwatch/cache.db
    A SQLite 3 database that contains the state history of jobs (for diffing)

AUTHOR
Thomas Perl <thp.io/about>

WEBSITE
https://thp.io/2008/urlwatch/